package cn.com.ctop.common.module.service;

import cn.com.ctop.common.module.entity.Project;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 项目
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-11-19
 */
public interface IProjectService extends IService<Project> {

    List<Project> listByMediaType(int projectType, int checkLink);

    String getNameByAccountId(Long accountId);

    String getSupplierCodeById(Long projectId);

    List<JSONObject> getProjectListByIds(JSONArray projectIdArray);

    Map<Long, String> getProjectMap(Map<Long, Long> projectIdMap);

    List<Long> getProjectIdsByProductId(Long productId);

    List<Long> getProjectIdsByProductIdAndNotIn(Long productId, List<Long> partakeProjectIds);

    JSONObject getProjectByAccountId(Long accountId);

    List<Long> getProjectIdsByMediaId(String mediaId);
}
